- include_role:
    name: commons
    tasks_from: helpers/secret.yaml
  loop:
  - { skey: database-admin-password }
  - { skey: database-name, spfx: db, slen: 3 }
  - { skey: database-monitor-password }
  - { skey: database-monitor-user, spfx: mon, slen: 6 }
  - { skey: database-repl-password }
  - { skey: database-repl-user, spfx: repl, slen: 6 }
  - { skey: database-password }
  - { skey: database-user, spfx: user, slen: 6 }
  vars:
    secret_key: "{{ item.skey }}"
    secret_length: "{{ item.slen | default(40) }}"
    secret_name: "{{ sc_name }}"
    secret_prefix: "{{ item.spfx | default(False) }}"
    secret_suffix: "{{ item.ssfx | default(False) }}"
    secret_value: "{{ item.from_var | default(False) }}"
- block:
  - name: Lookups Database Secret
    async: 30
    k8s_info:
      api_version: v1
      kind: Secret
      namespace: "{{ namespace }}"
      name: "{{ sc_name }}"
    no_log: True
    poll: 5
    register: pc_sc
  - include_role:
      name: commons
      tasks_from: helpers/secret.yaml
    vars:
      secret_key: database-url
      secret_name: "{{ sc_name }}"
      secret_value: "mysql://{{ (pc_sc.resources[0].data['database-user'] | default('')) | b64decode }}:{{ (pc_sc.resources[0].data['database-password'] | default('')) | b64decode }}@{{ percona_name }}/{{ (pc_sc.resources[0].data['database-name'] | default('')) | b64decode }}"
    when:
    - pc_sc is defined
    - pc_sc.resources is defined
    - pc_sc.resources[0] is defined
    - pc_sc.resources[0].data is defined
    - pc_sc.resources[0].data['database-password'] is defined
    - pc_sc.resources[0].data['database-url'] is not defined
  - include_role:
      name: commons
      tasks_from: helpers/secret.yaml
    vars:
      secret_key: jdbc-database-url
      secret_name: "{{ sc_name }}"
      secret_value: "jdbc:mysql://{{ (pc_sc.resources[0].data['database-user'] | default('')) | b64decode }}:{{ (pc_sc.resources[0].data['database-password'] | default('')) | b64decode }}@{{ percona_name }}/{{ (pc_sc.resources[0].data['database-name'] | default('')) | b64decode }}"
    when:
    - pc_sc is defined
    - pc_sc.resources is defined
    - pc_sc.resources[0] is defined
    - pc_sc.resources[0].data is defined
    - pc_sc.resources[0].data['database-password'] is defined
    - pc_sc.resources[0].data['jdbc-database-url'] is not defined
  - include_role:
      name: commons
      tasks_from: helpers/secret.yaml
    vars:
      secret_key: root-database-url
      secret_name: "{{ sc_name }}"
      secret_value: "mysql://root:{{ (pc_sc.resources[0].data['database-admin-password'] | default('')) | b64decode }}@{{ percona_name }}/{{ (pc_sc.resources[0].data['database-name'] | default('')) | b64decode }}"
    when:
    - pc_sc is defined
    - pc_sc.resources is defined
    - pc_sc.resources[0] is defined
    - pc_sc.resources[0].data is defined
    - pc_sc.resources[0].data['database-admin-password'] is defined
    - pc_sc.resources[0].data['root-database-url'] is not defined
  when:
  - (sc_state | default('present')) == 'present'
